package com.tanpu.community.controller;


import com.tanpu.community.api.beans.ForwardThemeDTO;
import com.tanpu.community.api.beans.ThemeDTO;
import com.tanpu.community.manager.ThemeManager;
import com.tanpu.community.service.FansRelService;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@Slf4j
@RequestMapping(value = "/api/theme")
public class ThemeController {

    @Autowired
    private ThemeManager themeManager;

    @Autowired
    private FansRelService fansRelService;

    @ApiOperation("新增主题")
    @PostMapping(value = "/add")
    @ResponseBody
    public String insertTheme(@RequestBody ThemeDTO themeDTO){
        String userId="liujm";
        themeDTO.setAuthorId(userId);
//        themeManager.insert(ThemeConvert.convertToEntity(themeDTO));
        return "success";
    }

    @ApiOperation("获取推荐的圈文")
    @RequestMapping(value = "/recmend_list")
    @ResponseBody
    public List<ThemeDTO> selectHotList(){
        return null;
    }

    @ApiOperation("获取关注的圈文")
    @RequestMapping(value = "/interest_list")
    @ResponseBody
    public List<ThemeDTO> selectInterestList(){
        String userId="liujm012";
        return null;
    }

    @ApiOperation("评论")
    @RequestMapping(value = "/comment")
    @ResponseBody
    public String commetOnTheme(String themeId,String commet){
        String user="liujm";
//        themeManager.comment(themeId,user,commet);
        return "success";
    }

    @ApiOperation("转发主题")
    @RequestMapping(value = "/forward")
    @ResponseBody
    public String forwardTheme(ForwardThemeDTO forwardThemeDTO){
        String userId="liujm";
        themeManager.forward(forwardThemeDTO,userId);
        return "success";
    }


    @ApiOperation("点赞主题")
    @RequestMapping(value = "/like")
    @ResponseBody
    public String likeOnTheme(String themeId){
        String user="liujm";
        themeManager.like(themeId,user);
        return "success";
    }

    @ApiOperation("分享主题")
    @RequestMapping(value = "/share")
    @ResponseBody
    public String shareTheme(String themeId){
        return "success";
    }

    @ApiOperation("收藏主题")
    @RequestMapping(value = "/book")
    @ResponseBody
    public String bookTheme(String themeId){
        String user="liujm";
//        themeManager.book(themeId,user);
        return "success";
    }

    @ApiOperation("举报主题")
    @RequestMapping(value = "/complaint")
    @ResponseBody
    public String complaintTheme(String themeId){

        return "功能暂未开放";
    }

    @ApiOperation("屏蔽")
    @RequestMapping(value = "/conceal")
    @ResponseBody
    public String concealTheme(String themeId){
        String user="liujm";
//        themeManager.blockContent(themeId,user);
        return "success";
    }
}
